CamelMimeFilterGZip
3
CAMEL Library

# CamelMimeFilterGZip

## Synopsis

                        CamelMimeFilterGZip;
    enum                CamelMimeFilterGZipMode;
    CamelMimeFilter*    camel_mime_filter_gzip_new          (CamelMimeFilterGZipMode mode,
                                                             int level);

## Description

## Details

### CamelMimeFilterGZip

    typedef struct {
    	CamelMimeFilter parent_object;

    	struct _CamelMimeFilterGZipPrivate *priv;

    	CamelMimeFilterGZipMode mode;
    	int level;
    } CamelMimeFilterGZip;

### enum CamelMimeFilterGZipMode

    typedef enum {
    	CAMEL_MIME_FILTER_GZIP_MODE_ZIP,
    	CAMEL_MIME_FILTER_GZIP_MODE_UNZIP
    } CamelMimeFilterGZipMode;

### camel_mime_filter_gzip_new ()

    CamelMimeFilter*    camel_mime_filter_gzip_new          (CamelMimeFilterGZipMode mode,
                                                             int level);

Creates a new gzip (or gunzip) filter.

`mode` :

  zip or unzip

`level` :

  compression level

Returns :

  a new gzip (or gunzip) filter.